package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsOilType;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsOilTypeMapper extends IBaseMapper<RmsOilType, BigDecimal> {

    @Select("select MAX(OIL_TYPE_ID) + 1 from RMS_OIL_TYPE")
    Integer selectMaxId();

    //油品名称下拉框
    List<Map<String, Object>> oilNameSelect();
}